Package Details: php55-mssql 5.5.38-5

Git Clone URL: https://aur.archlinux.org/php55.git (read-only)
Package Base: php55
Description: mssql module for PHP
Upstream URL: http://php.net
Licenses: PHP
Provides: php-mssql=5.5.38
Submitter: rdoursenaud
Maintainer: rdoursenaud
Last Packager: rdoursenaud
Votes: 3
Popularity: 0.000001
First Submitted: 2016-03-10 16:18
Last Updated: 2018-02-26 17:50

Latest Comments

1 2 Next › Last »

mgsCatDev commented on 2019-02-08 15:13

Unable to build with the latest pacman:

Iniciant package_php55-pear()...
    Installing PEAR environment:      /tmp/yaourt-tmp-developer/aur-php55/pkg/php55-pear/usr/share/php55/pear/
    Notice: Undefined variable: metadata_dir in phar://install-pear-nozlib.phar/index.php on line 255
    [PEAR] Archive_Tar    - installed: 1.4.0
    [PEAR] Console_Getopt - installed: 1.4.1
    [PEAR] Structures_Graph- installed: 1.1.1
    [PEAR] XML_Util       - installed: 1.3.0
    warning: pear/PEAR requires package "pear/Archive_Tar" (version >= 1.4.0)
    warning: pear/PEAR requires package "pear/Structures_Graph" (recommended version 1.1.1)
    warning: pear/PEAR requires package "pear/Console_Getopt" (recommended version 1.4.1)
    warning: pear/PEAR requires package "pear/XML_Util" (recommended version 1.3.0)
    [PEAR] PEAR           - installed: 1.10.1
    Wrote PEAR system config file at: /tmp/yaourt-tmp-developer/aur-php55/pkg/php55-pear//etc/php55/pear.conf
    You may want to add: /usr/share/php55/pear to your php.ini include_path
    ==> Endreçant la instal·lació...
      -> Suprimint libtool fitxers...
      -> Purgant fitxers no desitjats...
      -> Suprimint els fitxers de les biblioteques estàtiques...
      -> Retirant els símbols innecessaris dels binaris i les biblioteques...
      -> Comprimint el manual i les pàgines d'informació...
    ==> Comprovant si hi ha problemes d'empaquetament...
    ==> ERROR: S'ha trobat un fitxer amb punt al paquet d'arrel "/tmp/yaourt-tmp-developer/aur-php55/pkg/php55-pear/.channels".
    ==> ERROR: S'ha trobat un fitxer amb punt al paquet d'arrel "/tmp/yaourt-tmp-developer/aur-php55/pkg/php55-pear/.depdb".
    ==> ERROR: S'ha trobat un fitxer amb punt al paquet d'arrel "/tmp/yaourt-tmp-developer/aur-php55/pkg/php55-pear/.depdblock".
    ==> ERROR: S'ha trobat un fitxer amb punt al paquet d'arrel "/tmp/yaourt-tmp-developer/aur-php55/pkg/php55-pear/.filemap".
    ==> ERROR: S'ha trobat un fitxer amb punt al paquet d'arrel "/tmp/yaourt-tmp-developer/aur-php55/pkg/php55-pear/.lock".
    ==> ERROR: S'ha trobat un fitxer amb punt al paquet d'arrel "/tmp/yaourt-tmp-developer/aur-php55/pkg/php55-pear/.registry".

The problem can be fixed editing PKGBUILD, line 316, changing:

rm -rf "${pkgdir}"/usr/share/${pkgbase}/pear/.{channels,depdb,depdblock,filemap,lock,registry}

with

rm -rf "${pkgdir}"/.{channels,depdb,depdblock,filemap,lock,registry}

francoism90 commented on 2017-11-24 08:53

PHP Warning: PHP Startup: Unable to load dynamic library '/usr/lib/php55/modules/intl.so' - libicui18n.so.59: cannot open shared object file: No such file or directory in Unknown on line 0

Recompiling didn't work.

Thanks!

francoism90 commented on 2017-10-17 08:07

Could you please add ;extension=calendar to php.ini.patch? :)

francoism90 commented on 2017-09-08 12:52

@rdoursenaud Thanks, builds fine now. :)

rdoursenaud commented on 2017-07-26 14:13

@badpixel Since PHP 5.5 is not supported upstream anymore, the keys are expired. You can find them at https://secure.php.net/downloads.php#gpg-5.5

@francoism90 Thanks for the heads up. Preparing an update.

francoism90 commented on 2017-07-03 06:51

libvpx missing as makedep, it doesn't build (anymore) due OpenSSL errors.

badpixel commented on 2017-03-22 23:04

gpg --search-keys FE857D9A90D90EC1
gpg: error searching keyserver: Server indicated a failure
gpg: keyserver search failed: Server indicated a failure

i cant import and find this key mannualy.

how can i fix this to install php55?

rdoursenaud commented on 2016-08-22 11:12

@p-we The patch is already in the package and correctly applied on my system.
What did you have instead?

p-we commented on 2016-08-20 03:05

Because php55 has separate directories from mainstream php, /etc/php55/php.ini has to be changed to match the correct extension directory

Line 734: extension_dir = "/usr/lib/php55/modules/"

MagiCarbon commented on 2016-04-16 03:18

many thanks :)